## org.apache.poi
Class POIXMLPropertiesTextExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIXMLTextExtractor
              org.apache.poi.POIXMLPropertiesTextExtractor

    public class POIXMLPropertiesTextExtractor

extends POIXMLTextExtractor

A `POITextExtractor` for returning the textual content of the OOXML file properties, eg author and title.

Field Summary

Fields inherited from class org.apache.poi.POITextExtractor
`document`

Constructor Summary
`POIXMLPropertiesTextExtractor(POIXMLDocument doc)` Creates a new POIXMLPropertiesTextExtractor for the given open document.
`POIXMLPropertiesTextExtractor(POIXMLTextExtractor otherExtractor)` Creates a new POIXMLPropertiesTextExtractor, for the same file that another TextExtractor is already working on.

Method Summary
`java.lang.String` `getCorePropertiesText()` Returns the core document properties, eg author
`java.lang.String` `getCustomPropertiesText()` Returns the custom document properties, if there are any
`java.lang.String` `getExtendedPropertiesText()` Returns the extended document properties, eg application
`POIXMLPropertiesTextExtractor` `getMetadataTextExtractor()` Returns an OOXML properties text extractor for the document properties metadata, such as title and author.
`java.lang.String` `getText()` Retrieves all the text from the document.

Methods inherited from class org.apache.poi.POIXMLTextExtractor
`getCoreProperties, getCustomProperties, getDocument, getExtendedProperties, getPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIXMLPropertiesTextExtractor

    public POIXMLPropertiesTextExtractor(POIXMLDocument doc)

  Creates a new POIXMLPropertiesTextExtractor for the given open document.

### POIXMLPropertiesTextExtractor

    public POIXMLPropertiesTextExtractor(POIXMLTextExtractor otherExtractor)

  Creates a new POIXMLPropertiesTextExtractor, for the same file that another TextExtractor is already working on.

Method Detail

### getCorePropertiesText

    public java.lang.String getCorePropertiesText()

  Returns the core document properties, eg author

### getExtendedPropertiesText

    public java.lang.String getExtendedPropertiesText()

  Returns the extended document properties, eg application

### getCustomPropertiesText

    public java.lang.String getCustomPropertiesText()

  Returns the custom document properties, if there are any

### getText

    public java.lang.String getText()

  Description copied from class: `POITextExtractor`
  Retrieves all the text from the document. How cells, paragraphs etc are separated in the text is implementation specific - see the javadocs for a specific project for details.

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

### getMetadataTextExtractor

    public POIXMLPropertiesTextExtractor getMetadataTextExtractor()

  Description copied from class: `POIXMLTextExtractor`
  Returns an OOXML properties text extractor for the document properties metadata, such as title and author.

  Overrides:
    `getMetadataTextExtractor` in class `POIXMLTextExtractor`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.